%global pypi_name testresources

Summary:        Testresources, a pyunit extension for managing expensive test resources
Name:           python-%{pypi_name}
Version:        2.0.1
Release:        4%{?dist}
License:        ASL 2.0 and BSD and GPLv2+
URL:            https://github.com/testing-cabal/testresources
Source:         %pypi_source

BuildArch:      noarch

%description
testresources: extensions to python unittest to allow declarative use of resources by test cases.

%package -n python3-%{pypi_name}
Summary:        Testresources, a pyunit extension for managing expensive test resources
BuildRequires:  python3-devel python3dist(pytest)

%description -n python3-%{pypi_name}
testresources: extensions to python unittest to allow declarative use of resources by test cases.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license Apache-2.0 BSD
%doc README.rst NEWS doc

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Shuo Wang <abushwang@tencent.com> - 2.0.1-1
- initial build
